Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231259 - PerlMagick's shared library is not linked with ImageMagick
Summary: PerlMagick's shared library is not linked with ImageMagick
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ImageMagick
Version: rawhide
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Norm Murray
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-07 02:26 UTC by Marius Feraru
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 6.3.2.9-2.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-30 04:42:46 UTC


Attachments (Terms of Use)

Description Marius Feraru 2007-03-07 02:26:27 UTC
Description of problem:
PerlMagick's shared library is not linked with ImageMagick.

Version-Release number of selected component (if applicable):
6.3.2.9-1

How reproducible:
always.

Steps to Reproduce & Actual results:

$ rpm -qp --requires ImageMagick-perl-6.3.2.9-1.fc7.i386.rpm |grep Magick
ImageMagick = 6.3.2.9-1.fc7
$ ldd ldd
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/auto/Image/Magick/Magick.so
| grep Magick
$

Expected results:

$ ldd
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/auto/Image/Magick/Magick.so
|grep Magick
libMagick.so.10 => /usr/lib/libMagick.so.10 (0x00110000)

Additional info:

Fix it by adding "-lMagick" to that LDDLFLAGS override. E.g.:
...
--with-perl-options="INSTALLDIRS=vendor %{?perl_prefix} CC='%__cc
-L$PWD/magick/.libs' LDDLFLAGS='-shared -lMagick -L$PWD/magick/.libs'" \
...

An upgrade to ImageMagick 6.3.3.0 would be nice, too ;-)

Comment 1 Jan Kratochvil 2007-03-26 22:22:42 UTC
There was already once this problem - Bug 203975, it got fixed that time.



Note You need to log in before you can comment on or make changes to this bug.